%define name cdtool
%define version 2.1.5
%define release 2mdk

Summary: Powerful command line CDROM player and tools.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sound
Source: %{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
A package of command-line utilities to play and
catalog audio CD-ROMs.  This package includes 
cdstart, cdpause, cdstop, cdeject, and cdshuffle.
Also, cdctrl may be used as a CD-ROM control daemon.
Cdown allows querying of the cddb database to build a 
local database of discs usable by cdinfo, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
make scsi RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
BINDIR=/usr/bin
MANDIR=/usr/man
LINKS="cdstart cdpause cdstop cdeject cdir cdinfo cdreset cdshuffle"

install -m 755 -d $RPM_BUILD_ROOT$BINDIR
install -m 755 cdctrl $RPM_BUILD_ROOT$BINDIR  
install -m 755 cdloop  $RPM_BUILD_ROOT$BINDIR    
install -m 755 cdadd  $RPM_BUILD_ROOT$BINDIR  
install -m 755 cdown  $RPM_BUILD_ROOT$BINDIR  
install -m 755 cdtool $RPM_BUILD_ROOT$BINDIR 
install -m 755 -d $RPM_BUILD_ROOT$MANDIR/man1 
install -m 644 cdtool.1 $RPM_BUILD_ROOT$MANDIR/man1
install -m 644 cdctrl.1 $RPM_BUILD_ROOT$MANDIR/man1
install -m 644 cdown.1  $RPM_BUILD_ROOT$MANDIR/man1

#for ii in $LINKS; do \
#	if test -h $BINDIR/$ii; then true; else \
#		rm -f $BINDIR/$ii; ln -s ./cdtool $BINDIR/$ii; \
#	fi; \
#	if test -h $MANDIR/man1/$ii.1; then true; else \
#		rm -f $MANDIR/man1/$ii.1; \
#		ln $MANDIR/man1/cdtool.1 $MANDIR/man1/$ii.1; \
#	fi; \
#done

%files
%defattr (-,root,root)
%doc README COPYING INSTALL cdtool-2.1.5.lsm
/usr/bin/*
/usr/man/man1/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.5-2mdk
- fix group
- fix file section
- fix permission on sources
